

For ext3.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/lib/halfmd4.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN lib/halfmd4.c~random-pt4-kill-duplicate-halfmd4-in-ext3-htree-fix lib/halfmd4.c
--- 25/lib/halfmd4.c~random-pt4-kill-duplicate-halfmd4-in-ext3-htree-fix	2005-01-23 21:28:53.271422712 -0800
+++ 25-akpm/lib/halfmd4.c	2005-01-23 21:29:17.582726832 -0800
@@ -1,4 +1,5 @@
 #include <linux/kernel.h>
+#include <linux/module.h>
 #include <linux/cryptohash.h>
 
 /* F, G and H are basic MD4 functions: selection, majority, parity */
@@ -62,4 +63,4 @@ __u32 half_md4_transform(__u32 buf[4], _
 
 	return buf[1]; /* "most hashed" word */
 }
-
+EXPORT_SYMBOL(half_md4_transform);
_
